SasView Trac Site

The following are the SasView dependencies currently installed on our Windows build machine:

  • Python 2.7
  • numpy 1.6.1
  • lxml 2.3.0.0
  • pyparsing 1.5.5
  • setuptools 0.6c11
  • periodictable 1.3.8 (requires pyparsing and setuptools before you can install)
  • bumps 0.7.5
  • comtypes 0.6.2
  • pywin32 build 217
  • pisa 3.0.27 (should NOT use 3.0.33)
  • html5lib 0.95-dev (required by pisa; The parser for HTML and XHTML)
  • reportlab 2.5 (required by pisa; To PDF conversion functionality)
  • PIL 1.1.7
  • py2exe 0.6.9
  • sphinx 1.3

The following site has all the dependencies nicely packaged:

http://www.lfd.uci.edu/~gohlke/pythonlibs/

Windows Extra software required for developers.

  • MSVC++ vcredist_x86.exe (version 9.0.21022.8)
  • Subversion-1.6.0 (< 1.6.1)
  • isetup-5.4.2-unicode
  • MinGW (w/ gcc-4.6.1) or TinyCC
Last modified 4 years ago Last modified on Jun 20, 2016 12:52:19 PM